<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Insert title here</title>
    <%@include file="/views/common.jsp" %>
</head>
<!--PVC异型卡片 -->
<style>
    .edge .layui-edge {
        right: 10px;
    }

    .layui-form-checkbox[lay-skin=primary] i {
        border-radius: 50px;
        width: 18px;
        height: 18px;
        line-height: 18px;
        margin-top: 3px;
    }

    .layui-form-checkbox[lay-skin=primary] span {
        color: black;
        margin-top: 3px;
        font-size: 14px;
    }
</style>
<body>
<div class="big_box">
    <div class="left_div">
        <h1 class="h1">PVC异型卡片</h1> <span style="color:red;font-weight:700;"></span>
        <hr>
        <form class="layui-form">
            <input type="hidden" name="proTypeValue" id="proTypeValue" class="layui-input" value="PVC异型卡片">
            <p>
                材质
            </p>
            <div class="layui-form-item">
                <div class="layui-input-block">
                    <select name="kindValue" class="kindValue" lay-filter="kindValue">
                        <option value="1" title="0.38PVC哑光异型卡片">0.38PVC哑光异型卡片</option>
                        <option value="2" title="0.38PVC亮光异型卡片">0.38PVC亮光异型卡片</option>
                        <option value="3" title="0.76PVC亮光异型卡片">0.76PVC亮光异型卡片</option>
                        <option value="4" title="0.84PVC哑光异型卡片">0.84PVC哑光异型卡片</option>
                        <option value="5" title="0.84PVC亮光异型卡片">0.84PVC亮光异型卡片</option>
                    </select>
                </div>
            </div>
            <p>
                尺寸(CM/厘米) <span style="font-size:14px;color:red">输入格式: 长 * 宽 </span>
                <input type="checkbox" name="switchSize" class="switchSizeCoupon" lay-filter="switchSizeCoupon"
                       title="自定义尺寸" lay-skin="primary">
            </p>
            <div class="layui-form-item fixedSizeCoupon">
                <select name="size" id="fixedSizeCoupon" class="select">
                    <!-- <option value="16*3">16*3</option> -->
                    <option value="20*4">20*4</option>
                </select>
            </div>
            <span class="diySizeCoupon" style="display:none">
					<input type="text" id="diySizeCoupon" placeholder="格式:长*宽" class="layui-input" autocomplete="off">
				</span>

            <p>
                数量（张）
            </p>
            <div class="layui-form-item">
                <select name="count" id="count" class="select">
                    <option value="500">500</option>
                    <option value="1000">1000</option>
                    <option value="2000">2000</option>
                    <option value="3000">3000</option>
                    <option value="5000">5000</option>
                    <option value="10000">10000</option>
                </select>
            </div>
            <p>
                款数
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入整数" autocomplete="off" name="number" id="number" value="1"
                       class="layui-input" lay-verify="number">
            </div>
            <p>
                客户旺旺
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入客户旺旺号" autocomplete="off" name="wangwang" id="wangwang"
                       class="layui-input">
            </div>
            <p>工艺</p>
            <input type="radio" name="craft" value="圆角矩形" title="圆角矩形" checked="checked">
            <input type="radio" name="craft" value="直角矩形" title="直角矩形">
            <input type="radio" name="craft" value="异形" title="异形">
            <div>
                <input type="radio" name="craftShua" value="单面" title="单面" checked="checked">
                <input type="radio" name="craftShua" value="双面" title="双面">
                <input type="checkbox" name="craftJiao" lay-filter="switch" value="背胶" title="背胶" lay-skin="primary">
            </div>
            <div class="layui-input-block">
                <input type="checkbox" name="craft" lay-filter="ui_craft" value="抠图" title="抠图">
                <div class="layui-inline crop" style="display:none;width: 80px">
                    <input class="layui-input" type="text" name="cropNumber">
                </div>
            </div>
            <hr>
            <div class="layui-form-item">
                <button class="layui-btn" lay-submit="" lay-filter="acount_btn">计算</button>
                <button type="reset" class="layui-btn layui-btn-primary">重置</button>
            </div>
            <h2>计算结果-
                <button type="button" class="layui-btn layui-btn-primary layui-btn-sm copyResult"
                        onclick="copyResult()">点击复制
                </button>
            </h2>
            <div>
                <textarea rows="11" cols="75" id="span_result" readonly="readonly"></textarea>
                <%@include file="../acountExpressFee.jsp" %>
            </div>
            <!--<h2>下单备注-<button type="button" class="layui-btn layui-btn-primary layui-btn-sm copyResult" onclick="copyBz()">点击复制</button></h2>
            <div>
                <textarea rows="5" cols="75" id="bz_result" readonly="readonly"></textarea>
            </div>-->
            <div>
                <table class="layui-hide" id="priceTable" lay-filter="priceTable"></table>
            </div>
        </form>
    </div>
    <div class="right_div">
        <div class="layui-carousel" id="test1">
            <div carousel-item id="carousel"></div>
            <br>
            <div id="remark" style="font-size:20px;color:red"></div>
        </div>
    </div>
</div>
</body>
<script src="../../js/carousel.js" charset="utf-8"></script>
<%@include file="/views/copyResult.jsp" %>
<script>
    layui.use(['table', 'form', 'carousel'], function () {
        var form = layui.form; //只有执行了这一步，部分表单元素才会自动修饰成功
        var carousel = layui.carousel;
        var table = layui.table;
        //建造实例
        ins = carousel.render({});
        // 监听count输入框
        $(function () {
            //输入框的值改变时触发
            $("#size").on("input", function (e) {
                //获取input输入的值
                /* if($('input[name="kindValue"]:checked').val() == "2"){
                    if(e.delegateTarget.value.indexOf(".") != -1){
                        layer.msg('请输入整数尺寸!',{offset:['300px','300px']},function(){});
                    }
                } */
            });
        });

        $('.switchSizeCoupon').val("off")
        // 自定义尺寸
        form.on('checkbox(switchSizeCoupon)', function (data) {
            if (data.elem.checked) {
                $('.switchSizeCoupon').val("on")
                $(".diySizeCoupon").show();
                $("#diySizeCoupon").attr("name", "size");
                $(".fixedSizeCoupon").hide();
                $("#fixedSizeCoupon").attr("name", "");
                $(".diySizeCoupon").find(":input").attr("disabled", false);
                $(".fixedSizeCoupon").find(":input").attr("disabled", true);
            } else {
                $('.switchSizeCoupon').val("off")
                $(".fixedSizeCoupon").show();
                $("#fixedSizeCoupon").attr("name", "size");
                $(".diySizeCoupon").hide();
                $("#diySizeCoupon").attr("name", "");
                $(".fixedSizeCoupon").find(":input").attr("disabled", false);
                $(".diySizeCoupon").find(":input").attr("disabled", true);
                // 恢复标准数量的时候会被禁用，加这个解决
                form.render();
            }
        })
        form.on('select(kindValue)', (data) => {
            var html = " ";
            let kindValue = data.value;
            if (kindValue == 4) {
                kindValue = 1;
            }
            if (kindValue == 5) {
                kindValue = 2;
            }
            // 清空轮播图
            $("#carousel").empty();
            $.ajax({
                url: "${pageContext.request.contextPath}/getImgs",
                type: "GET",
                data: {
                    proTypeValue: $("#proTypeValue").val(),
                    kindValue: kindValue
                },
                success: function (result) {
                    for (let i = 0; i < result.length; i++) {
                        html += '<div><img style="width:' + result[0].imgWidth + 'px" src="' + result[i].imgUrl + '"></div>';
                    }
                    $("#carousel").append(html);
                    // 如果没有轮播图就隐藏
                    if (result.length == 0) {
                        document.getElementById("test1").style.display = "none";   //隐藏
                    } else {
                        document.getElementById("test1").style.display = "block";   //显示
                        ins.reload({
                            elem: '#test1',
                            width: result[0].imgWidth,  //设置容器宽度
                            height: result[0].imgHeight
                        });
                    }
                }
            });
        })
        form.on('checkbox(switch)', function (data) {
            var html = " ";
            var remark = " ";

            // 清空轮播图
            $("#carousel").empty();
            $("#remark").empty();
            $.ajax({
                url: "${pageContext.request.contextPath}/getImgs",
                type: "GET",
                data: {
                    proTypeValue: $("#proTypeValue").val(),
                    kindValue: $("#kindValue1").val()
                },
                success: function (result) {
                    for (let i = 0; i < result.length; i++) {
                        html += '<div><img style="width:' + result[0].imgWidth + 'px" src="' + result[i].imgUrl + '"></div>';
                    }
                    remark += '<div><span>' + content + '<span/></div>';
                    $("#carousel").append(html);
                    $("#remark").append(remark);
                    // 如果没有轮播图就隐藏
                    if (result.length == 0) {
                        document.getElementById("test1").style.display = "none";   //隐藏
                    } else {
                        document.getElementById("test1").style.display = "block";   //显示
                        ins.reload({
                            elem: '#test1',
                            width: result[0].imgWidth,  //设置容器宽度
                            height: result[0].imgHeight
                        });
                    }
                }
            });
        });

        form.on('checkbox(ui_craft)', function (data) {
            let craft_list = [];
            let kindValue = $('input[name="kindValue"]:checked').val();
            craft_list.push($("select[name='craft'] option:selected").val());
            $("input[name='craft']:checked").each(function () {
                if (!$(this).is(':disabled')) {
                    craft_list.push($(this).val());
                }
            });

            if (data.value == '抠图') {
                $(".crop").hide();
                $(".crop").find("input").prop("disabled", true)
                if (data.elem.checked) {
                    $(".crop").show();
                    $(".crop").find("input").prop("disabled", false)
                }
            }
            form.render();
        })

        // 点击计算，计算价格
        form.on('submit(acount_btn)', function (data) {
            layer.msg("温馨提示：因工艺产品问题某些小尺寸可能报价会超过大尺寸，属于正常现象！", {offset: ['300px', '300px']}, function () {
            });
            var kindData = {
                1: "0.38PVC哑光异形卡片",
                2: "0.38PVC亮光异型卡片",
                3: "0.76PVC亮光异性卡片",
                4: "0.84PVC哑光异形卡片",
                5: "0.84PVC亮光异性卡片"
            };
            var craftShua = $('input[name="craftShua"]:checked').val()
            var craftJiao = [$('input[name="craftJiao"]:checked').val()]
            var kind = kindData[$('select[name="kindValue"] option:selected').val()];
            var number = $("#number").val();
            var switchSize = [$('input[name="switchSize"]:checked').val()];
            var size = "";
            if (switchSize == "") {
                size = $("#fixedSizeCoupon").val();
            } else {
                size = $("#diySizeCoupon").val();
            }
            let arr = []

            arr.push(craftShua)
            arr.push(craftJiao)
            $("input[name='craft']:checked").each(function () {
                if (!$(this).is("disabled")) {
                    if ($(this).val() == "抠图") {
                        arr.push($(this).val() + $("input[name='cropNumber']").val());
                        return;
                    }
                    arr.push($(this).val())
                }
            })
            var count = $("#count").val();
            if (!size) {
                layer.msg('请填写尺寸！', {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            /* if(size.indexOf(".") != -1){
                layer.msg('请输入整数尺寸!',{offset:['300px','300px']},function(){});
                return false;
            } */

            if (size.split("*")[0] < 4 || size.split("*")[1] < 4) {
                layer.msg("尺寸不能小于4*4cm", {offset: ['300px', '300px']}, function () {
                });
                return false;
            }

            if ((size.split("*")[0] > 42 || size.split("*")[1] > 42 && size.split("*")[0] > 28.5 || size.split("*")[1] > 28.5)) {
                layer.msg("尺寸不能大于42*28.5 cm", {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            $.ajax({
                url: "${path}/getThanSum",
                type: "GET",
                data: $(".big_box form").serialize(),
                success: function (result) {
                    if (result.code == 100) {
                        layer.msg(result.msg, {offset: ['300px', '300px']}, function () {
                        });
                        return false;
                    }
                    var data = result.data.proList;

                    var span_result = 'PVC异形卡片 - ' + kind + ' - ' + size + ' CM' + '\n';
                    if (arr.length > 0) {
                        span_result += "工艺：" + arr.join(",") + '\n';
                    }
                    if (number > 1) {
                        for (let i = 0; i < data.length; i++) {
                            span_result += number + '款 各' + data[i].count + "张，共" + data[i].price + "元" + '\n'
                            data[i].number = number;
                        }
                    } else {
                        for (let i = 0; i < data.length; i++) {
                            span_result += number + '款 ' + data[i].count + "张，共" + data[i].price + "元" + '\n'
                            data[i].number = number;
                        }
                    }
                    span_result += '包邮，免费设计呢~（偏远地区需补邮费）'
                    if (window.parent.system_isGai) {
                        span_result += "\n\n亲 现在下单可以参加淘宝活动8.5折折扣哦!"
                    }
                    addLog(span_result);
                    $("#span_result").val(span_result);

                    craft += craftShua + craftJiao;
                    var count = $("#count option:selected").val();
                    getRemark($("#proTypeValue").val(), size, count, kind, number, craft, "");
                    //计算完自动复制文本
                    var e = document.getElementById("span_result");//对象是content
                    if (e.value != "") {
                        e.select();//选择对象
                        document.execCommand("Copy");//执行浏览器复制命令
                    }

                    //生成表格
                    table.render({
                        elem: '#priceTable',
                        even: true, //隔行变色
                        data: data, // 赋值已知数据
                        width: 500,
                        cols: [[
                            {
                                field: 'number',
                                width: '12%',
                                align: "center",
                                title: '款数'
                            }, {
                                field: 'count',
                                width: '16%',
                                align: "center",
                                title: '数量'
                            }, {
                                field: 'price',
                                width: '16%',
                                align: "center",
                                title: '报价'
                            }, {
                                field: 'wangwang',
                                align: "center",
                                width: '16%',
                                title: '折扣价'
                            }, {
                                field: 'wangwang',
                                align: "center",
                                width: '19%',
                                title: '跳楼价'
                            }, {
                                field: 'weight',
                                width: '21%',
                                align: "center",
                                title: '重量（kg）'
                            }
                        ]],
                        done: function () {
                        }
                    });
                }
            });
            return false;
        });
    });
</script>
</html>